%define libxrandr %mklibname xrandr 2
Name: libxrandr
Summary:  X RandR Library
Version: 1.4.0
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-proto-devel >= 7.4-16mdv2009.1
BuildRequires: x11-util-macros >= 1.0.1

%description
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:  X RandR Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxrandr}
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxrandr} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxrandr-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxrandr}-devel
Development files for %{name}

%files -n %{libxrandr}-devel
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

#-----------------------------------------------------------

%package -n %{libxrandr}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxrandr}-devel = %{version}
Provides: libxrandr-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxrandr}-static-devel
Static development files for %{name}

%files -n %{libxrandr}-static-devel
%{_libdir}/libXrandr.a

#-----------------------------------------------------------

%prep
%setup -q -n libXrandr-%{version}

%build
%configure2_5x --enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libxrandr}
%{_libdir}/libXrandr.so.2
%{_libdir}/libXrandr.so.2.*


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.0-3.mga3
+ Revision: 397166
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 358627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 tv <tv> 1.4.0-1.mga3
+ Revision: 275338
- new release

* Mon Nov 21 2011 fwang <fwang> 1.3.2-2.mga2
+ Revision: 170342
- drop .la files

* Thu Jun 30 2011 tv <tv> 1.3.2-1.mga2
+ Revision: 116944
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 1.3.1-2.mga1
+ Revision: 7296
- imported package libxrandr

